using System;

namespace Echo
{
    class EchoClass:MarshalByRefObject 
    {
        public void Echo(params object[] args)
        {
            if (args.Length != 0)
            {
                Console.WriteLine(string.Join("*", args));
            }
            else
            {
                throw new ArgumentException("empty", "args");
            }
        }
    }
}
